summaryrefslogtreecommitdiffstats
path: root/gluegen-rt.pom.sh
diff options
context:
space:
mode:
authormark <[email protected]>2012-06-27 10:21:18 +0000
committerSven Gothel <[email protected]>2012-11-06 21:16:28 +0100
commitb43c00e03abe8cda1000192f8acf5078cffd34a6 (patch)
treec21dc47b9937930c0526839c16bebe3f405e5d2e /gluegen-rt.pom.sh
parent7f2e7634a4add378f51eb63e048cfa3fc3a6dc05 (diff)
Initial
Diffstat (limited to 'gluegen-rt.pom.sh')
-rwxr-xr-xgluegen-rt.pom.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/gluegen-rt.pom.sh b/gluegen-rt.pom.sh
new file mode 100755
index 0000000..c01451e
--- /dev/null
+++ b/gluegen-rt.pom.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+if [ $# -ne 1 ]
+then
+ echo "usage: version" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by gluegen-rt.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.gluegen</groupId>
+ <artifactId>gluegen-rt-main</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>GlueGen Runtime</name>
+ <description>JNI binding generator (runtime)</description>
+ <url>http://jogamp.org/gluegen/www/</url>
+
+EOF
+
+cat gluegen.pom.in || exit 1
+cat <<EOF
+</project>
+EOF